Subject: Re: [PATCH net-next 2/2] r8169: rely on sanity checks in phy_ethtool_set_eee

From: Russell King - ARM Linux admin <[email-masked]>
Date: Sun, 10 May 2020 15:08:01 +0100

On Sun, May 10, 2020 at 10:12:40AM +0200, Heiner Kallweit wrote:
> These checks are integrated in phy_ethtool_set_eee() now, therefore we
> can remove them from the driver.

Ah, so one NIC driver has a problem with this, so we have to apply that
pain to all NIC drivers?  No thanks.

Have you looked at how the driver decides whether EEE should be enabled?
Does it check that the link negotiated FD prior to enabling EEE?  That
is likely where the problem is.

Throwing big hammers to prevent the user configuring EEE settings on any
driver just because one driver has a problem is really not a sane
approach, and in fact I can tell you now that I will be pointing out a
userspace regression as a result of your patches - I can tell you now,
your patch 1 _will_ regress my userspace.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 10.2Mbps down 587kbps up